
# Copyright (C) Johan Ceuppens 2011
# Copyright (C) Johan Ceuppens 2010

# Copyright (C) Johan Ceuppens 2009 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from enemy import *

class Batcrazy(Enemy):
    def __init__(self,x,y,w,h):
        Enemy.__init__(self,x,y,w,h)
        self.addimage('batcrazy1.bmp',255,255,255)
        self.addimage('batcrazy2.bmp',255,255,255)
        self.addimage('batcrazy3.bmp',255,255,255)
        self.addimage('batcrazy4.bmp',255,255,255)
        self.counter = 0
	self.direction = 1

    def getname(self,text):
        return text.getbatname()


    def draw(self,screen):
        self.counter += 1

        if self.counter >= 60:
            self.counter = 0

        if self.counter < 10:
            screen.scr.blit(self.images[0], (self.x, self.y))
        elif self.counter < 20:
            screen.scr.blit(self.images[1], (self.x, self.y))
        elif self.counter < 30:
            screen.scr.blit(self.images[2], (self.x, self.y))
        elif self.counter < 40:
            screen.scr.blit(self.images[3], (self.x, self.y))
        elif self.counter < 50:
            screen.scr.blit(self.images[2], (self.x, self.y))
        elif self.counter < 60:
            screen.scr.blit(self.images[1], (self.x, self.y))
    


    def update(self,room):#FIXME all level arg must be room

        r = randint(0,3)
	if r == 0:
	    self.direction = randint(1,4)
        if self.direction == 0:
            self.x += 1
        if self.direction == 1:
            self.x -= 1
        if self.direction == 2:
            self.y += 1
        if self.direction == 3:
            self.y -= 1
    
