
# Copyright (C) Johan Ceuppens 2011
# Copyright (C) Johan Ceuppens 2010

# Copyright (C) Johan Ceuppens 2009 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


#from talksystemmyconid import *
from entityfactory import *
from food import *
from bouncer import *

class Oozebig(Bouncer):
    def __init__(self,x,y,w,h, boxes):
        Bouncer.__init__(self,x,y,w,h,Talksystemmyconid())
        self.addimage('oozebig1.bmp',255,255,255)
        self.addimage('oozebig1.bmp',255,255,255)
        self.addimage('oozebig1.bmp',255,255,255)
        self.counter = 0
	self.direction = 1 
	self.boxes = boxes
####### TEXT / FONT interface
    def getname(self,text):
        return text.getoozebigname()



####### other methods
    def draw(self,screen):
        self.counter += 1

        if self.counter >= 30:
            self.counter = 0

        if self.counter < 10:
            screen.scr.blit(self.images[0], (self.x, self.y))
        elif self.counter < 20:
            screen.scr.blit(self.images[1], (self.x, self.y))
        elif self.counter < 30:
            screen.scr.blit(self.images[2], (self.x, self.y))
        elif self.counter < 40:
            screen.scr.blit(self.images[1], (self.x, self.y))
    
# RANDOM MOVES    
    def update(self,room):#FIXME all level arg must be room

        r = randint(0,3)
        if r == 0:
            self.x += 1
        if r == 1:
            self.x -= 1
        if r == 2:
            self.y += 1
        if r == 3:
            self.y -= 1


