
# Copyright (C) Johan Ceuppens 2011
# Copyright (C) Johan Ceuppens 2010

# Copyright (C) Johan Ceuppens 2009 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


#from bouncer import *
from enemytalking import *
from talksystemtrollblack import *
from entityfactory import *
from food import *

class Trollblack(Enemytalking):#Bouncer):
    def __init__(self,x,y,w,h, boxes):
        Enemytalking.__init__(self,x,y,w,h,Talksystemtrollblack())
        self.addimage('trollblack1.bmp',255,255,255)
        self.addimage('trollblack2.bmp',255,255,255)
        self.addimage('trollblack3.bmp',255,255,255)
        self.counter = 0

	self.direction = 1 
	self.boxes = boxes

####### TEXT / FONT interface
    def getname(self,text):
        return text.gettrollblackname()

#    def gettalk(self):
#        talksystem.gettalk(self)
#    def update(self,room):
#	1

####### other methods
    def draw(self,screen):
        self.counter += 1

        if self.counter >= 40:
            self.counter = 0

        if self.counter < 10:
            screen.scr.blit(self.images[0], (self.x, self.y))
        elif self.counter < 20:
            screen.scr.blit(self.images[1], (self.x, self.y))
        elif self.counter < 30:
            screen.scr.blit(self.images[2], (self.x, self.y))
        elif self.counter < 40:
            screen.scr.blit(self.images[1], (self.x, self.y))
        

#     def leftbuttonpressed(self,mouse,text):
#         return self.talksystem.gettalk(text)#foo

    def remove(self,list):
        if self.hitpoints <= 0:
            list.remove(self)

	    # LEAVE & ADD FOOD AT RANDOM
	    if randint(0,4) == 3:
		print ("The trollblack drops some food.")
        	#factory = Entityfactory()
                #o = factory.make(Entity.ENTITY_FOOD,
		o = Food(self.x,self.y,20,20)#FIXME Maproom x, y!
	        list.add(o)
	
    def leftbuttonpressedwithinventoryitem(self,game):
        if Enemytalking.leftbuttonpressedwithinventoryitem(self,game):
            print "You use the item on the trollblack."
            return 1
        else:
            return None



    def collisionboxes(self):
        o = self.collisionlist(self.boxes)
        
        if o:
            #player.bounceback()#FIXME1 level arg
            return 1
        return None

    def update(self,room):#FIXME all level arg must be room
	ri = randint(0,42)
	if ri == 14:
	    r = randint(1,4)
	    self.direction = r
	o = None
	o = self.collisionboxes()

	if o:
	    r = randint(0,40)
	    if r < 2:
	        self.bounceback(None) 	
        if self.direction == 1:#north
	     self.y -= 1
        elif self.direction == 3:#south
 	     self.y += 1
        elif self.direction == 4:#west
             self.x -= 1
        elif self.direction == 2:#east
	     self.x += 1

    def bounceback(self,level):
        if self.direction == 1:#north
	    self.y += 12 
	   # self.direction = 3 
        elif self.direction == 3:#south
	    self.y -= 12
	   # self.direction = 1 
        elif self.direction == 4:#west
	    self.x -= 12
	   # self.direction = 2 
        elif self.direction == 2:#east
	    self.x += 12
	   # self.direction = 4 
	# set direction
	r = randint(1,4)
	self.direction = r

    def collisionlist(self,list):
        return self.collisionlist1(self,list)

    # GEN PROC
    def collisionlist1(self,collider,list):
        for i in range(0,list.length):
            o = None
            o = list.getlistobject(o)
            
            if o:
#                print 'i=%d x=%d y=%d px=%d py=%d' % (i, o.x,o.y,collider.x,collider.y)
                if collider.x >= o.x and collider.x <= o.x + o.w and collider.y >= o.y and collider.y <= o.y + o.h :   	
                    return o
        return None


