
# Copyright (C) Johan Ceuppens 2011
# Copyright (C) Johan Ceuppens 2010

# Copyright (C) Johan Ceuppens 2009 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from inventoryscrollinvisibility import *
from inventoryringyellow import *
from inventorychest1 import *
from inventoryseraphimsword import *
from player import *
from level import *
from screen import *
from utility import *
from mouse import *
from textenglish import *
from textdutch import *
from inventory import *
from inventorykey import *
from inventoryspellbookdracolich import *
from sword1blue import *
from scrollinvisibility import *

class Game:
    "Main function"
    def __init__(self):
        pygame.init()
        pygame.font.init()
        self.font = pygame.font.SysFont("Vera", 32)

        self.language = "english"
        
        if self.language == "english":
            self.text = Textenglish()
        elif self.language == "dutch":
            self.text = Textdutch()

        self.screen = Screen()
        self.mouse = Mouse()

        self.inventoryitem = None

        self.player = Player()
        self.level = Level(self.screen)
        #FIXME1 loading time
	self.swordplay = 0

        #self.setblackplayer()
        #self.player.setinvisibleplayer(self)
        blankimage = pygame.image.load('blank.bmp').convert()
        while self.level.gameover == 0:


            for event in pygame.event.get():
                if event.type == QUIT:
                    return
                elif event.type == KEYDOWN:

                    if event.key == K_UP:
                       if self.level.roommanager.room.collisionboxes(self.player):
                           self.player.bounceback(self.level)
                           print "Collision player with box"
                       else:
                        self.player.moveupanddirect(self.level)
                    elif event.key == K_DOWN:
                       if self.level.roommanager.room.collisionboxes(self.player):
                           self.player.bounceback(self.level)
                           print "Collision player with box"
                       else:
                        self.player.movedownanddirect(self.level)
                    elif event.key == K_LEFT:
                       if self.level.roommanager.room.collisionboxes(self.player):
                           self.player.bounceback(self.level)
                           print "Collision player with box"
                       else:
                        self.player.moveleftanddirect(self.level)
                    elif event.key == K_RIGHT:
                       if self.level.roommanager.room.collisionboxes(self.player):
                           self.player.bounceback(self.level)
                           print "Collision player with box"
                       else:
                        self.player.moverightanddirect(self.level)

#FIXME slight touch                    elif event.key == K_RETURN:
#                        self.inventoryitem = None
                        
                    elif event.key == K_b:
                        self.player.dropbomb(self.level)
                        print "drop bomb"
			
                    elif event.key == K_SPACE:
                	if Sword1blue(0,0,0,0,"3","1").readkeys(None):
                 #self.swordplay = 1
             #if self.swordplay != 0:
                  		self.swordplay += 1
                         #self.player.dropbomb(self.level)
                       	        print "fight with sword"
                    elif event.key == K_u:
#                        self.level.gameover = 1
                      #FIXME  pygame.event.flush()
                        flag = 0
                        inventory = Inventory()

                        if Key(0,0,0,0,"2","1").readkeys(None):
                            inventory.additem(Inventorykey())
                        if Sword1blue(0,0,0,0,"3","1").readkeys(None):
                            inventory.additem(Inventoryseraphimsword())
             #    self.swordplay = 1
                        if Scrollinvisibility(0,0,0,0,"3","1").readkeys(None):
                            inventory.additem(Inventoryscrollinvisibility())
                        if Ringyellow(0,0,0,0,"3","1").readkeys(None):
                            inventory.additem(Inventoryringyellow())
                        if Chest1(0,0,0,0,"3","1").readkeys(None):
                            inventory.additem(Inventorychest1())

                        if Spellbookdracolich(0,0,0,0,"2","1").readspellbook(None) and not Spellbookdracolich(0,0,0,0,"2","1").readdestroyspellbook(None):
                            inventory.additem(Inventoryspellbookdracolich())


                        while flag == 0:#NOTE1
                            for event in pygame.event.get():
                                if event.type == QUIT:
                                    return
                                
                                elif event.type == KEYDOWN:
                                    if event.key == K_LEFT:
                                        inventory.moveleft()
                                    elif event.key == K_RIGHT:
                                        inventory.moveright()
                                    elif event.key == K_RETURN:
                                        self.inventoryitem = inventory.getitem(self.inventoryitem)
                                        
                                        self.level.gameover = 0
                                        flag = 1


                                inventory.draw(self.screen)
                                pygame.display.update()


            self.level.roommanager.room.collisionexits(self.player,self.level.roommanager)
            self.level.roommanager.room.update(self.player,self.level, self.swordplay)                
            self.level.roommanager.room.draw(self.screen)
            self.screen.scr.blit(self.player.draw(), (self.player.x,self.player.y))

            self.player.drawlife(self.screen)

            # DISPLAY ENTITY NAMES
            if self.swordplay < 2 and self.swordplay > 0:           
	      	if self.player.direction == "north" or self.player.direction == "west": 
                     self.screen.scr.blit(self.player.drawswordleft(), (self.player.x,self.player.y))
	        else:	
                     self.screen.scr.blit(self.player.drawswordright(), (self.player.x,self.player.y))
            if self.swordplay >= 2:
          	self.swordplay = 0
            if self.swordplay == 0:         
                 self.screen.scr.blit(self.player.draw(), (self.player.x,self.player.y))

            self.mouse.update()
            self.mouse.draw(self.screen,self.inventoryitem)
            
            # FIXME1 maproom 
	    if self.inventoryitem:
         	if self.level.roommanager.room.domouseinventory(self):#self.screen, self.mouse,font1,self.text,self.inventoryitem,self.player):
                    self.inventoryitem = None
           	else:##FIXME indent:
                 	self.level.roommanager.room.domouse(self)#self.screen, self.mouse,font1,self.text,self.player)


            pygame.display.update()
        

            pygame.display.update()
            self.screen.scr.blit(blankimage, (0,0))
        
        while 1: 
            image1 = pygame.image.load('gameover1.bmp').convert()
            self.screen.scr.blit(image1, (0,0))
            pygame.display.update()
        
        

    def setblackplayer(self):
        string = "You have used the dracolich's spellbook on yourself\n"
        s = ""

        if Utilities().readandfindstring(string):
            self.player.setblackplayer(self)
            return

        if not Utilities().readandfindstring(string):
                    
            f = open("./workfile",'r')
            for line in f:
                s += line
                
                f = open("./workfile",'w')
        
                f.write(s)
                f.write(string)
                f.write("\n")
                

    def domouseonplayer(self,room):
        room.collisionplayer(self.mouse,self.player)

    def domouseonplayerrelative(self,room):
        room.collisionplayerrelative(self.mouse,self.player,room.relativex,room.relativey)


    def leftbuttonpressed(self,o):
        self.previoustext = o.leftbuttonpressed(self)#self,game.text,self.press(0))
        return self.previoustext
                        
    def collisionlistonmouse(self,list):
        for i in range(0,list.length):
            o = None
            o = list.getlistobject(o)
            if o and mx >= x and mx <= x + o.w and my >= y and my <= y + o.h: 
                return o
        return None

    # Relative processors
    def processorrelativex(self,o,relx):
        return o.x - relx

    def processorrelativey(self,o,rely):
        return o.y - rely

    def collisionlistrelativeonmouse(self,list,relx,rely):
        for i in range(0,list.length):
            o = None
            o = list.getlistobject(o)

            if o:
            
                x = o.x
                y = o.y
                mx = self.processorrelativex(self.mouse,relx)
                my = self.processorrelativey(self.mouse,rely)

                if o and mx >= x and mx <= x + o.w and my >= y and my <= y + o.h:   	
                    return o
        return None



    def update(self):
        "move the fist based on the mouse position"
        
#        pos = pygame.mouse.get_pos()
#        self.rect.midtop = pos
#        if self.punching:
#            self.rect.move_ip(5, 10)
    

if __name__ == "__main__":
   foo = Game()
