
# Copyright (C) Johan Ceuppens 2011
# Copyright (C) Johan Ceuppens 2010
# Copyright (C) Johan Ceuppens 2009 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from enemytalking import *
from talksystemangel import *

class Houndarchon(Enemytalking):
    def __init__(self,x,y,w,h):
        Enemytalking.__init__(self,x,y,w,h,Talksystemangel())
        self.addimage('houndarchon1.bmp',255,255,255)
        self.addimage('houndarchon2.bmp',255,255,255)
        self.addimage('houndarchon3.bmp',255,255,255)
        self.addimage('houndarchon3.bmp',255,255,255)
        self.addimage('houndarchon2.bmp',255,255,255)
        self.counter = 0

	self.usedspellbookdracolich = 0

####### TEXT / FONT interface
    def getname(self,text):
        return text.gethoundarchonname()

#    def gettalk(self):
#        talksystem.gettalk(self)


####### other methods
    def draw(self,screen):

        self.counter += 1

        if self.counter >= 50:
            self.counter = 0

        if self.counter < 10:
            screen.scr.blit(self.images[0], (self.x, self.y))
        elif self.counter < 20:
            screen.scr.blit(self.images[1], (self.x, self.y))
        elif self.counter < 30:
            screen.scr.blit(self.images[2], (self.x, self.y))
        elif self.counter < 40:
            screen.scr.blit(self.images[3], (self.x, self.y))
        elif self.counter < 50:
            screen.scr.blit(self.images[4], (self.x, self.y))
        

#     def leftbuttonpressed(self,mouse,text):
#         return self.talksystem.gettalk(text)#foo


    def leftbuttonpressedwithinventoryitem(self,game):
        if Enemytalking.leftbuttonpressedwithinventoryitem(self,game):
            print "You use the item on the houndarchon."
            return 1
        else:
            return None

    def usedracolichspellbook(self,game):
        string = "You have destroyed the dracolich's spellbook"
        string += "\n"
        print "BAZ"

	s = ""

        f = open("./workfile",'r')
        for line in f:
            s += line
                
        f = open("./workfile",'w')
        
        f.write(s)
        f.write(string)
        f.write("\n")

	self.usedspellbookdracolich = 1


