
# Copyright (C) Johan Ceuppens 2011
# Copyright (C) Johan Ceuppens 2010


# Copyright (C) Johan Ceuppens 2009 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import pygame
from pygame.locals import *
from tree4 import *
from maproom import *

class Maproom1(Maproom):
    "Example"

    def __init__(self):
        Maproom.__init__(self,-100,-100)
        self.loadwalls()

    def loadwalls(self):
        
        # NORTH WALL
        self.addbox(0,0,640,80)
        # SOUTH WALL
        self.addbox(0,400,640,80)
        # WEST WALL
        self.addbox(0,0,60,480)
        # EAST WALL
        self.addbox(580,0,60,480)


    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):
        factory = Entityfactory()

#         # LAVA 
 #       self.addbox(400,0,240,200)


        self.addenemy(factory.make(Entity.ENTITY_MYCONID,300,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,350,250,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,400,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,450,250,50,50))


#         # EAST EXIT
#         self.addexit(580,0,60,480,102,70,210,Room2dungeon2())
#         # NORTH EXIT
#         self.addexit(0,0,400,80,104,200,390,Room4dungeon2())

        self.background = pygame.image.load('room1dungeon2.bmp').convert()


