
# Copyright (C) Johan Ceuppens 2011
# Copyright (C) Johan Ceuppens 2010

# Copyright (C) Johan Ceuppens 2009 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from enemytalking import *
from talksystemnutter2 import *
from entityfactory import *
from food import *

class Nutter2(Enemytalking):
    def __init__(self,x,y,w,h):
        Enemytalking.__init__(self,x,y,w,h,Talksystemnutter2())
        self.addimage('nutter21.bmp',255,255,255)
        self.addimage('nutter22.bmp',255,255,255)
        self.counter = 0


####### TEXT / FONT interface
    def getname(self,text):
        return text.getnutter2name()

#    def gettalk(self):
#        talksystem.gettalk(self)

    def update(self,room):
	1

####### other methods
    def draw(self,screen):
        self.counter += 1

        if self.counter >= 150:
            self.counter = 0

        if self.counter < 140:
            screen.scr.blit(self.images[0], (self.x, self.y))
	else:            
	    screen.scr.blit(self.images[1], (self.x, self.y))
        

#     def leftbuttonpressed(self,mouse,text):
#         return self.talksystem.gettalk(text)#foo

    def remove(self,list):
        if self.hitpoints <= 0:
            list.remove(self)

	    # LEAVE & ADD FOOD AT RANDOM
	    if randint(0,4) == 3:
		print ("The Nutter drops some food.")
        	#factory = Entityfactory()
                #o = factory.make(Entity.ENTITY_FOOD,
		o = Food(self.x,self.y,20,20)#FIXME Maproom x, y!
	        list.add(o)
	
    def leftbuttonpressedwithinventoryitem(self,game):
        if Enemytalking.leftbuttonpressedwithinventoryitem(self,game):
            print "You use the item on the Nutter."
            return 1
        else:
            return None
