
# Copyright (C) Johan Ceuppens 2009 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame

#from Numeric import *
#import pygame.surfarray as surfarray

from pygame.locals import *
from room import *
from roomroomman import *
from roomdungeon1 import *
from roomdungeon2 import *
from map import *
from box import *
from exitbox import *
from ooze import *
from ent import *
from tree import *
from tree2 import *
from tree3 import *
from tree4 import *
from movingwallnorth import *
from movingwallsouth import *
from movingwallwest import *
from movingwalleast import *
from treestone import *
from entstone import *
from bat import *
from skeleton import *
from skeleton2 import *
from dragon import *
from dracolich import *
from myconid import *
from koboldmage import *
from chest1 import *
from key import *
from key2 import *
from key3 import *
from wallwalk import *
from wallwalk2 import *
from lockeddoornorth import *
from lockeddoornorth2 import *
from lockeddoorsouth import *
from lockeddooreast import *
from lockeddooreast2 import *
from lockeddoorwest import *
from lockeddoorgreywalleast import *
from spellbookdracolich import *
#from mapworld import *
from maproomleftright import *
from maproomupdown import *
from maproom import *
from maproomchbg import *
from roomchbg import *
from inventoryspellbookdracolich import *
from hobgoblinswordsman1 import *
from movingplatform1 import *
from sword1blue import *
from ringblue import *
from ringyellow import *
from scrollinvisibility import *

class Room1world(Room):
    ""
    def __init__(self, roomman):
        Room.__init__(self)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadworldroom1()
        return self


    def loadworldroom1(self):
        
        factory = Entityfactory()
        self.addfactory(factory)

        self.addentity(factory.make(Entity.ENTITY_TREE2, 0,0,130,130))
#        self.addentity(factory.make(Entity.ENTITY_TREE2,500,0,130,130))
#        self.addentity(factory.make(Entity.ENTITY_TREE2,200,0,130,130))

#        self.addentity(factory.make(Entity.ENTITY_TREE2,300,0,130,130))
#        self.addentity(factory.make(Entity.ENTITY_TREE2,100,0,130,130))
#        self.addentity(factory.make(Entity.ENTITY_TREE2,400,0,130,130))

        self.addentity(factory.make(Entity.ENTITY_TREE2,100,50,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,100,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE3,0,200,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE2,100,250,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,300,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,50,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE3,450,100,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,200,130,130))        
        self.addentity(factory.make(Entity.ENTITY_TREE3,500,300,130,130))
        

#        self.addentity(factory.make(Entity.ENTITY_FOOD,300,100,20,20))

#        self.addenemy(factory.make(Entity.ENTITY_SKELETON2,400,390,50,50))     #         self.addenemy(factory.make(Entity.ENTITY_SKELETON2,450,390,50,50))

        # WALLS DUNGEON ENTRANCE
#        self.addbox(250,170,100,130)
#        self.addbox(250,170,180,60)
#
        # EAST EXIT
#        self.addexit(580,0,100,400,3001,310,230,Worldmaproom1(0,-520))
        # WEST EXIT
#        self.addexit(0,200,60,60,1.6,570,210)

        # NORTH EXIT
        self.addexit(0,0,640,80,3001,310,230,Roomforest1(0,-420, self.roomman))

        # DUNGEON 1 GATE
#        self.addexit(350,200,90,80,1.1,210,390,Room1dungeon1())

        # SOUTH EXIT
        self.addexit(0,430,640,50,1002,210,90,Room2world(self.roomman))

        # EXITS
#        self.addexit(0,0,640,100,1,100,100)

        if Spellbookdracolich(0,0,0,0,"2","1").readspellbook(None):
            angel = factory.make(Entity.ENTITY_ANGEL,250,300,60,60)
            self.addenemy(angel)

        self.background = pygame.image.load('worldroom1.bmp').convert()





class Room2world(Room):
    ""
    def __init__(self, roomman):
        Room.__init__(self)
	self.roomman = roomman
	


    def loadroom(self):
        self.initroom()
        self.loadworldroom2()
        return self

    def loadworldroom2(self):


        factory = Entityfactory()
        # LEFT TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,-20,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,30,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,130,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,230,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,330,130,130))

        # RIGHT TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,-20,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,30,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,130,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,230,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,330,130,130))

        # NORTH TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,300,-20,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,400,-20,130,130))

        # SOUTH TREES

        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,430,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,100,430,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,200,430,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,450,430,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,620,430,130,130))



#        
#        self.addenemy(Skeleton2night(400,90,50,50))

        # NORTH EXIT
        self.addexit(0,0,640,50,1001,350,420,Room1world(self.roomman))
        # SOUTH EXIT
        self.addexit(0,430,640,50,1003,350,60,Room3world(self.roomman))

        self.background = pygame.image.load('worldroom2.bmp').convert()

class Room3world(Room):
    ""
    def __init__(self, roomman):
        Room.__init__(self)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadworldroom3()
        return self


    def loadworldroom3(self):
        factory = Entityfactory()
        # SOUTH TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,400,330,130,130))        
        self.addentity(factory.make(Entity.ENTITY_TREE2,100,330,130,130))

        # LEFT TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,-20,130,130))        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,30,130,130))        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,130,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,230,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,330,130,130))

        # RIGHT TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,-20,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,30,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,130,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,230,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,330,130,130))


        # EAST EXIT
#        self.addexit(580,200,60,60,1.12,70,210)
        # WEST EXIT
#        self.addexit(0,200,60,60,1.6,570,210)
        # NORTH EXIT
        self.addexit(0,0,640,50,1002,350,420,Room2world(self.roomman))
        # SOUTH EXIT
        self.addexit(0,430,640,50,1004,350,60,Room4world(self.roomman))

        self.background = pygame.image.load('worldroom1.bmp').convert()






   

class Room4world(Room):
    ""
    def __init__(self, roomman):
        Room.__init__(self)
	self.roomman = roomman
#        Room.__init__(screen)



    def loadroom(self):
        self.initroom()
        self.loadworldroom4()
        return self

    def loadworldroom4(self):

        factory = Entityfactory()
        
        self.addentity(factory.make(Entity.ENTITY_TREE3,100,-20,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE3,0,130,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE3,100,130,130,130))


        # LEFT TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,-20,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,30,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,130,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,230,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,330,130,130))

        # RIGHT TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,-20,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,30,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,130,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,230,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,330,130,130))


        # EAST EXIT
#        self.addexit(580,200,60,60,1.12,70,210)
        # WEST EXIT
#        self.addexit(0,200,60,60,1.6,570,210)
        # NORTH EXIT
        self.addexit(0,0,640,50,1003,350,420,Room3world(self.roomman))
        # SOUTH EXIT
        self.addexit(0,430,640,50,1005,250,60,Room5world(self.roomman))

        self.background = pygame.image.load('worldroom4.bmp').convert()


class Room5world(Room):
    ""
    def __init__(self, roomman):
        Room.__init__(self)
	self.roomman = roomman
#        Room.__init__(screen)

    def loadroom(self):
        self.initroom()
        self.loadworldroom5()
        return self

    def loadworldroom5(self):

        factory = Entityfactory()
        
        self.addentity(factory.make(Entity.ENTITY_TREE3,100,0,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE3,0,130,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE3,100,130,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,100,230,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,100,330,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,100,330,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE3,100,430,130,130))


#        self.addentity(factory.make(Entity.ENTITY_TREE3,100,130,130,130))
        
#        self.addentity(factory.make(Entity.ENTITY_TREE3,200,130,130,130))
#        self.addentity(factory.make(Entity.ENTITY_TREE3,300,130,130,130))

        # MIDDLE TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,400,0,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE3,400,100,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,400,200,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,400,300,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,400,400,130,130))
        # RIGHT MIDDLE TREE
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,520,50,130,130))
        # RIGHT TREES
#         
#         self.addentity(factory.make(Entity.ENTITY_TREE2,610,50,130,130))
#         
#         self.addentity(factory.make(Entity.ENTITY_TREE2,610,150,130,130))
#         
#         self.addentity(factory.make(Entity.ENTITY_TREE2,610,250,130,130))
#         
#         self.addentity(factory.make(Entity.ENTITY_TREE2,610,350,130,130))
#         
#         self.addentity(factory.make(Entity.ENTITY_TREE2,610,450,130,130))

        # EAST EXIT
#        self.addexit(580,200,60,60,1.12,70,210)
        # WEST EXIT
#        self.addexit(0,200,60,60,1.6,570,210)

        # NORTH EXIT
        self.addexit(0,0,640,50,1004,350,420,Room4world(self.roomman))
        # LEFT SOUTH EXIT
        self.addexit(0,430,400,50,1006,250,60,Room6world(self.roomman))
        # RIGHT SOUTH EXIT
        self.addexit(530,430,110,50,1006,540,60,Room6world(self.roomman))

        self.background = pygame.image.load('worldroom5.bmp').convert()


class Room6world(Room):
    ""
    def __init__(self, roomman):
        Room.__init__(self)
	self.roomman = roomman
#        Room.__init__(screen)

    def loadroom(self):
        self.initroom()
        self.loadworldroom6()
        return self


    def loadworldroom6(self):
        factory = Entityfactory()
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,-50,0,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,-50,100,130,130))

        
        self.addentity(factory.make(Entity.ENTITY_TREE2,0,130,130,130))
#        
#        self.addentity(factory.make(Entity.ENTITY_TREE2,100,130,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,100,230,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,100,330,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,100,330,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE3,100,430,130,130))

        # SOUTH TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,200,330,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,300,330,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,400,330,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,500,330,130,130))



        # MIDDLE TREES
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,300,0,130,130))
        
        self.addentity(factory.make(Entity.ENTITY_TREE2,300,100,130,130))


        # STAIRS EXIT
        self.addexit(120,60,40,70,201,210,100,Room1dungeon2(self.roomman))


        # EAST EXIT
#        self.addexit(590,0,50,480,1007,60,200,Room7world())
        # WEST EXIT
#        self.addexit(0,200,60,60,1.6,570,210)
        # LEFT NORTH EXIT
        self.addexit(0,0,400,50,1005,250,420,Room5world(self.roomman))
        # LEFT NORTH EXIT
        self.addexit(430,0,110,50,1005,540,420,Room5world(self.roomman))

        # LEFT SOUTH EXIT
#        self.addexit(0,430,400,50,1006,250,60)
        # RIGHT SOUTH EXIT
#        self.addexit(530,430,110,50,1006,540,60)

        self.background = pygame.image.load('worldroom6.bmp').convert()


###############################################################################
###############################################################################
###############################################################################
# DUNGEON 2
###############################################################################
###############################################################################
###############################################################################



class Room1dungeon2(Roomdungeon2):
    ""

    def __init__(self, roomman):
        Roomdungeon2.__init__(self)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loaddungeon2room1()
        return self

    def loaddungeon2room1(self):
        factory = Entityfactory()
        # LAVA 
        self.addbox(70,100,130,100)
        self.addbox(270,100,300,280)
        self.addbox(70,280,210,100)

        
        self.addenemy(Bat(300,200,50,50))        
        self.addenemy(Bat(350,100,50,50))

        # DOOR SOUTH
#        
#        self.addentity(Lockeddoorsouth(200,400,80,80,"1","3"))


#         
#         self.addentity(Key(300,300,40,40,"1","4"))

#         self.readkeys("1","4")



        # EAST EXIT
#        self.addexit(580,200,60,90,202,250,300)
        # WEST EXIT
        self.addexit(0,200,60,60,202,570,210,Room2dungeon2(self.roomman))
        # NORTH EXIT
        self.addexit(200,0,90,80,1006,180,90,Room6world(self.roomman))
        # SOUTH EXIT
#        self.addexit(200,400,60,80,1001,210,90)

        self.background = pygame.image.load('room1dungeon2.bmp').convert()
       

class Room2dungeon2(Roomdungeon2):
    ""

    def __init__(self, roomman):
        Roomdungeon2.__init__(self)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loaddungeon2room2()
        return self


    def loaddungeon2room2(self):
        factory = Entityfactory()
        # LAVA 
        self.addbox(0,0,360,200)

        self.addbox(360,90,220,110)
        self.addbox(360,280,200,110)
#        self.addbox(70,280,210,100)

#        
#        self.addenemy(Bat(400,300,50,50))
#        self.addenemy(Bat(450,100,50,50))

        self.addenemy(factory.make(Entity.ENTITY_MYCONID,200,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,250,220,50,50))


        # DOOR SOUTH
#        
#        self.addentity(Lockeddoorsouth(200,400,80,80,"1","3"))


#         
#         self.addentity(Key(300,300,40,40,"1","4"))

#         self.readkeys("1","4")



        # EAST EXIT
        self.addexit(580,200,60,90,202,90,210,Room1dungeon2(self.roomman))
        # WEST EXIT
        self.addexit(0,200,60,280,202,500,220,Room3dungeon2(self.roomman))
        # NORTH EXIT
#        self.addexit(200,0,90,80,1006,180,90)
        # SOUTH EXIT
#        self.addexit(200,400,60,80,1001,210,90)

        self.background = pygame.image.load('room2dungeon2.bmp').convert()
       



class Room3dungeon2(Roomdungeon2):
    ""

    def __init__(self, roomman):
        Roomdungeon2.__init__(self)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loaddungeon2room3()
        return self


    def loaddungeon2room3(self):
        factory = Entityfactory()

        # LAVA 
        self.addbox(400,0,240,200)


        self.addenemy(factory.make(Entity.ENTITY_MYCONID,300,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,350,250,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,400,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,450,250,50,50))


        # EAST EXIT
        self.addexit(580,0,60,480,102,70,210,Room2dungeon2(self.roomman))
        # NORTH EXIT
        self.addexit(0,0,400,80,104,200,390,Room4dungeon2(self.roomman))


        self.background = pygame.image.load('room3dungeon2.bmp').convert()
       
class Room4dungeon2(Roomdungeon2):
    ""

    def __init__(self, roomman):
        Roomdungeon2.__init__(self)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loaddungeon2room4()
        return self


    def loaddungeon2room4(self):
        factory = Entityfactory()

        # LAVA 
        self.addbox(400,0,240,200)
        self.addbox(400,280,240,200)

        self.addenemy(factory.make(Entity.ENTITY_MYCONID,220,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,270,100,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,420,210,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,460,210,50,50))


        # EAST EXIT
        self.addexit(580,200,80,80,102,70,210,Room7dungeon2(self.roomman))

       # NORTH EXIT
        self.addexit(60,0,340,90,103,200,390,Room5dungeon2(self.roomman))

       # SOUTH EXIT
        self.addexit(60,400,400,60,103,200,100,Room3dungeon2(self.roomman))


        self.background = pygame.image.load('room4dungeon2.bmp').convert()
       

class Room5dungeon2(Roomdungeon2):
    ""

    def __init__(self, roomman):
        Roomdungeon2.__init__(self)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loaddungeon2room5()
        return self


    def loaddungeon2room5(self):
        factory = Entityfactory()

        self.addenemy(factory.make(Entity.ENTITY_MYCONID_RED,200,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID_RED,250,100,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID_RED,400,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID_RED,450,100,50,50))


        # EAST EXIT
        self.addexit(580,100,60,80,106,70,280,Room6dungeon2(self.roomman))
       # SOUTH EXIT
        self.addexit(60,400,400,60,103,200,110,Room4dungeon2(self.roomman))


        self.background = pygame.image.load('room5dungeon2.bmp').convert()
       


class Room6dungeon2(Roomdungeon2):
    ""

    def __init__(self, roomman):
        Roomdungeon2.__init__(self)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loaddungeon2room6()
        return self


    def loaddungeon2room6(self):
        factory = Entityfactory()

        self.addenemy(factory.make(Entity.ENTITY_EARTHWEIRD,400,200,50,50))

        key = Key(200,200,40,40,"2","1")
        self.addentity(key)
        key.readkeys(self.entities)


#        self.addenemy(factory.make(Entity.ENTITY_MYCONID_RED,200,300,50,50))


        # WEST EXIT
        self.addexit(0,260,60,80,105,570,110,Room5dungeon2(self.roomman))

        self.background = pygame.image.load('room6dungeon2.bmp').convert()
       



class Room7dungeon2(Roomdungeon2):
    ""

    def __init__(self, roomman):
        Roomdungeon2.__init__(self)
	self.roomman = roomman 

    def loadroom(self):
        self.initroom()
        self.loaddungeon2room7()
        return self


    def loaddungeon2room7(self):
        factory = Entityfactory()

        self.addbox(250,0,390,320)

        self.addenemy(factory.make(Entity.ENTITY_MYCONID,100,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,150,100,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,400,300,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,450,100,50,50))


        # WEST EXIT
        self.addexit(0,210,60,80,105,570,210,Room4dungeon2(self.roomman))
        # EAST EXIT
        self.addexit(570,320,60,80,108,70,240,Room8dungeon2(self.roomman))

        self.background = pygame.image.load('room7dungeon2.bmp').convert()
       




class Room8dungeon2(Roomdungeon2):
    ""

    def __init__(self, roomman):
        Roomdungeon2.__init__(self)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loaddungeon2room8()
        return self


    def loaddungeon2room8(self):
        factory = Entityfactory()

        self.addbox(0,0,640,180)
        self.addbox(0,300,640,180)

#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,100,300,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,150,100,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,400,300,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,450,100,50,50))

        self.addentity(Lockeddoorgreywalleast(560,200,80,80,"2","1"))

        # WEST EXIT
        self.addexit(0,200,60,80,107,560,340,Room7dungeon2(self.roomman))
        # EAST EXIT
        self.addexit(570,200,60,80,109,310,90,Room9dungeon2(self.roomman))

        self.background = pygame.image.load('room8dungeon2.bmp').convert()
       

class Room9dungeon2(Roomdungeon2):
    ""

    def __init__(self, roomman):
        Roomdungeon2.__init__(self)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loaddungeon2room9()
        return self


    def loaddungeon2room9(self):
        factory = Entityfactory()

#        self.addbox(0,0,640,180)
#        self.addbox(0,300,640,180)

#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,100,300,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,150,100,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,400,300,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,450,100,50,50))


        dracolich = Dracolich(200,200,40,40,"2","1") 	
        self.addenemy(dracolich)
        if dracolich.readboss(self.entities):
            spellbook = Spellbookdracolich(100,100,80,80,"2","1")
            self.addenemy(spellbook)
            spellbook.readspellbook(self.entities)


        self.addenemy(factory.make(Entity.ENTITY_SKELETON2,400,290,50,50))  
        self.addenemy(factory.make(Entity.ENTITY_SKELETON2,470,290,50,50))



        # NORTH EXIT
        self.addexit(300,0,60,80,108,560,210,Room8dungeon2(self.roomman))

        self.background = pygame.image.load('room9dungeon2.bmp').convert()
  

#def loaddungeon2room10(self):
#        factory = Entityfactory()

#        self.addbox(0,0,640,180)
#        self.addbox(0,300,640,180)

#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,100,300,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,150,100,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,400,300,50,50))
#        self.addenemy(factory.make(Entity.ENTITY_MYCONID,450,100,50,50))


        # WEST EXIT
#        self.addexit(0,200,60,80,107,570,210,Room9dungeon2(self.roomman))
        # EAST EXIT
#        self.addexit(590,200,60,80,109,70,210,Room9dungeon2())

#        self.background = pygame.image.load('room9dungeon2.bmp').convert()
  

###############################################################################
###############################################################################
###############################################################################
# (BIG) WORLD MAPS
###############################################################################
###############################################################################
###############################################################################


class Maproom1(Maproom):
    ""

    def __init__(self):
        Maproom.__init__(self,-100,-100)
        self.loadwalls()

    def loadwalls(self):
        
        # NORTH WALL
        self.addbox(0,0,640,80)
        # SOUTH WALL
        self.addbox(0,400,640,80)
        # WEST WALL
        self.addbox(0,0,60,480)
        # EAST WALL
        self.addbox(580,0,60,480)


    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):
        factory = Entityfactory()

#         # LAVA 
 #       self.addbox(400,0,240,200)


        self.addenemy(factory.make(Entity.ENTITY_MYCONID,300,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,350,250,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,400,300,50,50))
        self.addenemy(factory.make(Entity.ENTITY_MYCONID,450,250,50,50))

	
#         # EAST EXIT
#         self.addexit(580,0,60,480,102,70,210,Room2dungeon2())
#         # NORTH EXIT
#         self.addexit(0,0,400,80,104,200,390,Room4dungeon2())

        self.background = pygame.image.load('room1dungeon2.bmp').convert()





class Roomforest1(Maproom):
    ""

    def __init__(self,x,y, roomman):
        Maproom.__init__(self,x,y)
	self.roomman = roomman
#        self.loadwalls()

#     def loadwalls(self):
        
#         # NORTH WALL
#         self.addbox(0,0,640,80)
#         # SOUTH WALL
#         self.addbox(0,400,640,80)
#         # WEST WALL
#         self.addbox(0,0,60,480)
#         # EAST WALL
#         self.addbox(580,0,60,480)


    def loadroom(self):
	#self.screen = foo.screen#NOTE89
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):
        factory = Entityfactory()

        self.addentity(factory.make(Entity.ENTITY_TREE4, 10,0,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE4,500,0,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE4,200,0,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE4,100,50,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE4,10,100,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE4,10,200,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE4,100,250,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE4,0,300,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE4,500,50,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE4,450,100,130,130))

	#self.addentity(Movingplatform1(0,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_PLATFORMMAPROOM1,0,100,70,70))

        # NORTH EXIT
        self.addexit(0,0,1000,200,3004,300,90,Worldmaproom2(-200,-800, self.roomman))
        # SOUTH EXIT
        self.addexit(0,800,1000,200,3004,300,90,Room1world(self.roomman))
        # WEST EXIT  
        self.addexit(0,0,100,1000,3004,300,90,Roombirdforest(-700,0,self.roomman))

       
	self.background = pygame.image.load('worldmaproom1.bmp').convert()


class Worldmaproom2(Maproom):
    ""

    def __init__(self,x,y, roomman):
        Maproom.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

       # img = pygame.image.load('rect1.bmp').convert()
       # rect.set_colorkey((0,0,0))
       # rect  = pygame.draw.rect(self.screen, 0x0ff0000)
#        self.background = pygame.image.load('bg_forest1.bmp').convert()
#        self.screen.scr.blit(self.background, (0, 0))
       # screen.draw(self.entities)
#        pygame.display.update()
        
	factory = Entityfactory()

        # ENEMIES
	# FIXME
        #mage = factory.make(Entity.ENTITY_KOBOLDMAGE,450,800,130,130)
        #self.addenemy(mage)
        #mage.readkoboldmage(self.entities)
        #orcblue = factory.make(Entity.ENTITY_ORCBLUE,450,800,130,130)
        #self.addenemy(orcblue)
            

        #self.addentity(factory.make(Entity.ENTITY_TREE4, 10,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,500,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,200,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,100,50,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,10,100,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,10,200,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,100,250,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,0,300,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,500,50,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,450,100,130,130))

	# RIVER
        self.addbox(1000,250,400,500)
	# PONT
        #self.addbox(2300,825,100,535)
	
	# EXIT IN WATER
        self.addexit(1200,760,100,100,3008,300,200,Worldmaproom2water(-850,-450, self.roomman))
        # NORTH EXIT
        self.addexit(0,0,1400,100,3007,300,200,Worldmaproom3water(0,-750, self.roomman))
         # SOUTH EXIT
        #FIXMENOTE86 self.addexit(0,800,1000,200,3004,300,90,Roomforest1(0,-100, self.roomman))

        orcpaladin = factory.make(Entity.ENTITY_ORCPALADIN,250,200,60,60)
        self.addenemy(orcpaladin)
        self.background = pygame.image.load('bg_forest2.bmp').convert()




class Worldmaproom2water(Maproom):
    ""

    def __init__(self,x,y, roomman):
        Maproom.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# WALLS
	self.addbox(1000,250,400,122)
	self.addbox(1000,250,12,500)
	self.addbox(1000,750,400,12)
	# ENEMIES
	# FIXME
        #mage = factory.make(Entity.ENTITY_KOBOLDMAGE,450,800,130,130)
        #self.addenemy(mage)
        #mage.readkoboldmage(self.entities)
        #hobgoblin1 = factory.make(Entity.ENTITY_HOBGOBLINSWORDSMAN1,450,800,30,30)
        #self.addenemy(hobgoblin1)


        # SOUTH EXIT
        #self.addexit(0,800,1000,200,3004,300,90,Worldmaproom2(0,-100, self.roomman))
	# EXIT OUT OF WATER
        #self.addexit(1075,1850,100,100,3008,300,200,Worldmaproom2(-2100,-1070, self.roomman))
        self.addexit(1200,700,100,100,3008,300,200,Worldmaproom2(-900,-700, self.roomman))
        # EAST IN WATER EXIT
        self.addexit(1350,250,50,500,3010,300,200,Worldmaproom3water(0,-750, self.roomman))

        self.background = pygame.image.load('bg_forest2.bmp').convert()




class Worldmaproom3water(Maproom):
    ""

    def __init__(self,x,y, roomman):
        Maproom.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# WATER FORTRESS WALLS
	self.addbox(1840,1350,560,85)
	self.addbox(1840,1600,40,800)
	# EXIT LEFT OF WATER
        self.addexit(0,0,100,2400,3008,300,200,Worldmaproom2water(-900,-200, self.roomman))
	# EXIT RIGHT OF WATER TO WATER FORTRESS
        self.addexit(1840,1440,40,160,3008,300,200,Worldmaproomwaterfortress1(-1600,-1300, self.roomman))

        self.background = pygame.image.load('bg_water3.bmp').convert()

class Worldmaproomwaterfortress1(Maproom):
    ""

    def __init__(self,x,y, roomman):
        Maproom.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()
       
	# DEMON'S CRAG ENEMIES 
#	hobgoblin1 = factory.make(Entity.ENTITY_HOBGOBLINSWORDSMAN1,1900,1600,30,30)
#        self.addenemy(hobgoblin1)
#        hobgoblin2 = factory.make(Entity.ENTITY_HOBGOBLINSWORDSMAN1,2000,1600,30,30)
#        self.addenemy(hobgoblin2)
#        hobgoblin3 = factory.make(Entity.ENTITY_HOBGOBLINSWORDSMAN1,2200,1800,30,30)
#        self.addenemy(hobgoblin3)

	#demon1 = factory.make(Entity.ENTITY_DEMON1,1970,1800,30,30)
        #self.addenemy(demon1)
        self.addenemy(factory.make(Entity.ENTITY_HOUNDARCHON1,1970,1800,60,60))
	
	# WATER FORTRESS WALLS
	self.addbox(1840,1350,560,85)
	self.addbox(1840,1600,40,800)
	# PIT
	self.addbox(2000,1930,240,220)

	# EXIT LEFT OF WATER FORTRESS
        self.addexit(1840,1440,40,160,3008,300,200,Worldmaproom3water(-1450,-1300, self.roomman))
	# EXIT TEMPLE 
        self.addexit(2300,1600,100,100,3008,300,200,Worldmapinsidetemple1(0,-700, self.roomman))

        self.background = pygame.image.load('bg_water3.bmp').convert()



class Dungeonwater4(Maproom):
    ""

    def __init__(self,x,y, roomman):
        Maproom.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,0,210,100)
	self.addbox(290,0,600,100)
	self.addbox(0,0,100,400)
	self.addbox(0,500,100,400)
	self.addbox(0,800,900,100)
	#RIGHT WALL
	self.addbox(800,0,100,200)
	self.addbox(800,300,100,600)
	# ENEMIES
	# FIXME
        #mage = factory.make(Entity.ENTITY_KOBOLDMAGE,450,800,130,130)
        #self.addenemy(mage)
        #mage.readkoboldmage(self.entities)
        #hobgoblin1 = factory.make(Entity.ENTITY_HOBGOBLINSWORDSMAN1,450,800,30,30)
        #self.addenemy(hobgoblin1)
        
	#self.addentity(factory.make(Entity.ENTITY_TREE4, 10,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,500,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,200,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,100,50,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,10,100,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,10,200,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,100,250,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,0,300,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,500,50,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,450,100,130,130))

        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,250,100,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,450,350,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,150,250,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,250,110,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,450,90,70,70, self.boxes))

	# STATUES
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUE,700,100,100,100))
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUE,700,300,100,100))
	
        self.addentity(Lockeddoornorth2(200,0,100,100,"3","1"))
         # NORTH EXIT TO CHERUB ROOM, DOOR
	self.addexit(220,0,80,80,3008,300,420,Roomdungeonwatercherubs(self.roomman))#(0,0))#, self.roomman))
         # WEST EXIT
        self.addexit(0,400,50,100,3008,300,90,Worldmapinsidetemple1(-800,-50, self.roomman))
        self.addentity(Lockeddooreast2(800,200,100,100,"3","2"))
         # EAST EXIT, DOOR
        self.addexit(810,210,80,80,3040,150,250,Dungeonwater5(0,-550, self.roomman))

        self.background = pygame.image.load('bg_dungeonwater4.bmp').convert()

class Dungeonwater5(Maproom):
    ""

    def __init__(self,x,y, roomman):
        Maproom.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,650,250,100)
	self.addbox(0,850,900,100)
	self.addbox(900,0,100,1000)
	self.addbox(250,0,750,100)
	self.addbox(250,0,100,250)
	self.addbox(250,350,100,400)
	# HIDDEN ROOM WALLS
	self.addbox(0,0,200,200)
	self.addbox(0,0,20,400)
	self.addbox(0,400,200,20)
	self.addbox(200,240,40,20)
	self.addbox(200,350,40,20)

	# ENEMIES
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,450,300,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,550,400,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,750,700,70,70, self.boxes))

        #self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,450,90,70,70, self.boxes))

	# STATUES
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUE,250,650,100,100))

	# ITEMS
        #key = Scrollinvisibility(80,280,50,50,"3","1")

	# DOORS
        #self.addentity(key)
        #key.readkeys(self.entities)
        self.addentity(Wallwalk(250,250,100,100,"3","1"))
	
        # HIDDEN ROOM STAIRS
	self.addexit(80,280,50,50,3008,300,220,Dungeonwaterlower1(-350,0,self.roomman))
         # WEST EXIT
        self.addexit(0,750,50,100,3008,300,220,Dungeonwater4(-400,0, self.roomman))
        # NORTH STAIRS UP EXIT
	self.addexit(500,150,50,50,3008,420,250,Dungeonwater6(self.roomman))

        self.background = pygame.image.load('bg_dungeonwater51.bmp').convert()

class Dungeonwater6(Roomroomman):
    ""

    def __init__(self,roomman):
        Roomroomman.__init__(self,roomman)

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,0,40,300)
	self.addbox(0,0,640,40)
	self.addbox(0,600,40,480)
	self.addbox(0,440,640,40)
	
	self.addbox(0,360,40,120)
	# WATER BELOW PIT
	self.addbox(0,360,100,30)
	self.addbox(100,250,240,230)
	# DEEP WATER
	# self.addbox(380,80,165,320)
	# ENEMIES
        #self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,750,700,70,70, self.boxes))

	# STATUES
        #self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,100,100,50,50))
        #self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,150,100,50,50))
        #self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,200,100,100,100))
        #self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,250,100,50,50))
        #self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,300,100,50,50))
        #self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,350,100,50,50))
        #self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,100,150,50,50))
        #self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,350,150,50,50))
	
         # WEST EXIT
        self.addexit(0,300,50,50,3008,580,300,Dungeonwater7(self.roomman))
        #  STAIRS DOWN EXIT
	self.addexit(430,330,50,50,3008,300,250,Dungeonwater5(-200,0, self.roomman))

        self.background = pygame.image.load('bg_dungeonwater61.bmp').convert()

class Dungeonwater7(Roomroomman):
    ""

    def __init__(self,roomman):
        Roomroomman.__init__(self,roomman)

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,0,600,40)
	self.addbox(0,0,40,480)
	self.addbox(0,440,640,40)
	self.addbox(600,0,40,300)
	# PITS
	self.addbox(0,140,150,20)
	self.addbox(240,140,280,20)
	self.addbox(500,140,20,260)
	self.addbox(500,370,140,20)

	# ENEMIES
        #self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,750,700,70,70, self.boxes))

	# STATUES
	
         # EAST UPPER EXIT
        self.addexit(590,300,50,50,3008,60,305,Dungeonwater6(self.roomman))
         # EAST LOWER EXIT
        self.addexit(590,390,50,50,3008,60,410,Dungeonwater6(self.roomman))
        #  HERMIT EXIT
	self.addexit(220,0,55,55,3008,300,300,Dungeonwaterhermit8(self.roomman))

        self.background = pygame.image.load('bg_dungeonwater7.bmp').convert()



class Dungeonwaterlower1(Maproomleftright):
    ""

    def __init__(self,x,y,roomman):
        Maproomleftright.__init__(self, x, y)
	self.roomman = roomman
	
    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,0,800,40)
	self.addbox(0,440,800,40)
	self.addbox(0,0,40,480)
	self.addbox(760,0,40,480)
	# INNER WALLS
	self.addbox(425,0,40,365)
	self.addbox(425,405,40,65)
	self.addbox(295,0,40,100)
	self.addbox(295,140,40,340)
	# PITS 
	# ENEMIES
        self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,250,100,60,60, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,450,350,60,60, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,150,250,60,60, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,700,200,60,60, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,500,100,60,60, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,200,300,60,60, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,100,100,60,60, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,600,300,60,60, self.boxes))
	# STATUES
        self.addentity(Wallwalk2(425,365,40,40,"3","2"))
        self.addentity(Wallwalk2(285,103,40,40,"3","3"))
        # EAST EXIT
        self.addexit(750,300,50,50,3008,60,305,Dungeonwater5(-100,0,self.roomman))
        # SOUTH EXIT
	self.addexit(50,425,50,50,3008,305,60,Dungeonwaterlower2(self.roomman))
        self.background = pygame.image.load('bg_dungeonwaterlower1.bmp').convert()

class Dungeonwaterlower2(Room):
    ""

    def __init__(self,roomman):
        Room.__init__(self)
	self.roomman = roomman
	
    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,0,640,40)
	self.addbox(0,440,640,40)
	self.addbox(0,0,40,480)
	self.addbox(600,0,40,480)
	# PITS 
	# ITEMS
        key = Scrollinvisibility(300,220,50,50,"3","1")
        self.addentity(key)
        key.readkeys(self.entities)
	# ENEMIES
        #self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,600,300,60,60, self.boxes))
	# STATUES
        #self.addentity(Wallwalk2(425,365,40,40,"3","2"))
        #self.addentity(Wallwalk2(285,103,40,40,"3","3"))
        # EAST EXIT
        #self.addexit(750,300,50,50,3008,60,305,Dungeonwater5(-100,0,self.roomman))
        # NORTH EXIT
	self.addexit(300,0,50,50,3050,60,305,Dungeonwaterlower1(0,-60,self.roomman))

        self.background = pygame.image.load('bg_dungeonwaterlower2.bmp').convert()


class Dungeonwaterlowermountains1(Maproom):
    ""

    def __init__(self,x,y,roomman):
        Maproom.__init__(self,x,y)
	self.roomman = roomman
	
    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,0,3000,40)
	self.addbox(0,2960,3000,40)
	self.addbox(0,0,40,3000)
	self.addbox(2960,0,40,3000)
	# PITS 
	# ITEMS
	# ENEMIES
	self.addentity(factory.make(Entity.ENTITY_SHIELDMAIDEN,2850,1300,130,130))
        #self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,600,300,60,60, self.boxes))
	# STATUES
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,2150,875,50,50))
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,2050,875,50,50))
        # TREE WALLS
	# NORTH WALL
	self.addentity(factory.make(Entity.ENTITY_TREE5, 100,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 200,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 300,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 400,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 500,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 600,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 700,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 800,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 900,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1000,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1100,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1200,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1300,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1400,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1500,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1600,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1700,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1800,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1900,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2000,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2100,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2200,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2300,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2400,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2500,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2600,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2700,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2800,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2900,-80,130,130))
        # SOUTH WALL
	self.addentity(factory.make(Entity.ENTITY_TREE5, 100,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 200,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 300,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 400,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 500,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 600,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 700,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 800,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 900,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1000,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1100,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1200,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1300,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1400,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1500,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1600,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1700,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1800,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1900,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2000,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2100,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2200,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2300,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2400,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2500,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2600,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2700,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2800,2950,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2900,2950,130,130))
	# WEST WALL
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,100,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,200,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,400,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,500,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,600,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,700,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,800,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,900,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,1000,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,1100,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,1200,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,1300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,1400,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,1500,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,1600,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,1700,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,1800,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,1900,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,2000,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,2100,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,2200,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,2300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,2400,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,2500,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,2600,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,2700,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,2800,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,2900,130,130))
	# EAST WALL
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,100,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,200,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,400,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,500,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,600,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,700,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,800,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,900,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,1000,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,1100,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,1200,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,1300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,1400,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,1500,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,1600,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,1700,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,1800,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,1900,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,2000,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,2100,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,2200,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,2300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,2400,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,2500,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,2600,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,2700,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,2800,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2950,2900,130,130))


	# EAST  
	self.addentity(factory.make(Entity.ENTITY_TREE5, 130,100,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 230,200,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 340,550,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 490,300,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 460,450,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 200,140,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 200,180,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 350,250,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 350,200,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 400,250,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 600,500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 700,500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 750,550,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 650,200,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 600,250,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2600,500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2700,500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2750,550,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2650,200,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2600,250,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2800,300,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2850,350,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2600,600,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2700,620,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2750,650,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2650,700,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2600,750,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2800,780,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2850,850,130,130))
	#   
	self.addentity(factory.make(Entity.ENTITY_TREE5, 200,500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1300,400,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1550,50,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1650,100,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1300,50,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1100,500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1100,400,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1150,50,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1650,100,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1300,50,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1100,2500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1300,2400,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1550,2050,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1650,2100,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1300,2050,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1100,2500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2100,2400,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2150,2050,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2650,2100,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2300,2050,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 100,2500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1700,2300,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 450,2150,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 150,2900,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 300,2050,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 100,500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1700,600,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 450,550,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 150,700,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 300,250,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 500,2500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 700,2600,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 450,2650,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 150,2700,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 300,2750,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 200,500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 300,600,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 650,650,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 50,700,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 100,750,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1200,500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1300,600,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1650,650,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1050,700,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1100,1750,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 1000,1500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1100,1600,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1150,1650,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1650,1700,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1600,1750,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 2000,500,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2100,600,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2150,650,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2650,700,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2600,750,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2500,850,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2300,1050,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2200,1050,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2100,1050,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2000,1050,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2400,1050,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2500,1050,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2400,1150,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2400,1250,130,130))
	#
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1200,1350,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2100,450,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1000,1050,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1100,1350,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1600,750,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2100,750,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2000,250,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2100,250,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1400,1250,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1500,1250,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1600,750,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 2100,750,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1400,2250,130,130))
        self.addentity(factory.make(Entity.ENTITY_TREE5, 1500,2250,130,130))
	
        #self.addentity(Wallwalk2(425,365,40,40,"3","2"))
        #self.addentity(Wallwalk2(285,103,40,40,"3","3"))
        # EAST EXIT
        self.addexit(2940,60,50,50,3019,220,200,Worldmapinsidetemple2(100,100, self.roomman))
        # NORTH-WEST EXIT
        self.addexit(0,0,70,100,3069,300,70,Dungeonwaterlowermountains2(-450,0,self.roomman))
        # CAVE EXIT
	self.addexit(2100,875,50,50,3059,220,60,Dungeonwatermountainscave1(self.roomman))

        self.background = pygame.image.load('bg_dungeonwaterlowermountains1.bmp').convert()


class Dungeonwaterlowermountains2(Maproomleftright):
    ""

    def __init__(self,x,y,roomman):
        Maproomleftright.__init__(self,x,y)
	self.roomman = roomman
	
    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,0,700,40)
	self.addbox(0,800,200,40)
	self.addbox(0,440,860,40)
	self.addbox(0,0,40,480)
	self.addbox(860,0,40,480)
	# PITS 
	# ITEMS
        #key = Scrollinvisibility(300,220,50,50,"3","1")
        #self.addentity(key)
        #key.readkeys(self.entities)
	# ENEMIES
        #self.addenemy(factory.makewithboxes(Entity.ENTITY_ORCSWORDSMANBLUE,600,300,60,60, self.boxes))
	# STATUES
	# WALLS
	# REST TREES
	self.addentity(factory.make(Entity.ENTITY_TREE5, 690,200,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 500,300,130,130))
	# NORTH WALL
	self.addentity(factory.make(Entity.ENTITY_TREE5, 0,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 100,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 200,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 300,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 400,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 500,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 600,-80,130,130))
	#self.addentity(factory.make(Entity.ENTITY_TREE5, 700,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 800,-80,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 900,-80,130,130))
	# SOUTH WALL
	self.addentity(factory.make(Entity.ENTITY_TREE5, 0,410,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 100,410,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 200,410,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 300,410,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 400,410,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 500,410,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 600,410,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 700,410,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 800,410,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 900,410,130,130))
        # WEST WALL
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,0,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,100,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,200,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, -80,400,130,130))
        # EAST WALL
	self.addentity(factory.make(Entity.ENTITY_TREE5, 890,0,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 890,100,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 890,200,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 890,300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE5, 890,400,130,130))
	#self.addentity(Wallwalk2(425,365,40,40,"3","2"))
        #self.addentity(Wallwalk2(285,103,40,40,"3","3"))
        # EAST EXIT
        #self.addexit(750,300,50,50,3008,60,305,Dungeonwater5(-100,0,self.roomman))
        # NORTH EXIT
	self.addexit(700,0,100,50,3050,220,200,Dungeonwaterlowermountains1(100,100,self.roomman))

        self.background = pygame.image.load('bg_dungeonwaterlowermountains2.bmp').convert()


class Dungeonwatermountainscave1(Roomroomman):
    ""

    def __init__(self,roomman):
        Roomroomman.__init__(self,roomman)

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,0,560,50)
	self.addbox(0,0,50,480)
	self.addbox(0,430,560,50)
	self.addbox(500,0,50,480)
	# PITS
	#self.addbox(500,370,140,20)

	# ENEMIES
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,150,170,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,350,170,50,50, self.boxes))

	# STATUES
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,50,50,50,50))
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,470,50,50,50))
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,50,380,50,50))
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUELITTLE,470,380,50,50))
        # NORTH EXIT
	self.addexit(220,0,55,55,3060,220,250,Dungeonwaterlowermountains1(-1850,-700,self.roomman))
        # STAIRS EXIT
	self.addexit(210,200,95,95,3061,220,250,Dungeonwatermountainscave2(-1000,50,self.roomman))

        self.background = pygame.image.load('bg_dungeonwatermountainscave1.bmp').convert()


class Dungeonwatermountainscave2(Maproom):
    ""

    def __init__(self,x,y, roomman):
        Maproom.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# WALLS
	# room walls
        self.addbox(0,0,1400,100)
        self.addbox(0,0,100,1000)
        self.addbox(1300,0,100,1000)
        #bottom wall self.addbox(1300,0,100,1000)
        # middle walls, top to bottom
        self.addbox(0,250,600,50)
        self.addbox(750,250,375,50)
 
        self.addbox(300,400,725,50)
        self.addbox(1100,250,50,300)
        
	self.addbox(0,550,650,50)
	self.addbox(775,400,50,350)
	
	self.addbox(275,750,500,50)
	
	self.addbox(900,550,100,450)
	# ENEMIES
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,450,470,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,350,270,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,550,770,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,850,170,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,450,710,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,1050,570,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,150,510,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,105,700,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,450,210,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,1050,300,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,540,610,50,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,1000,850,50,50, self.boxes))
	# FIXME
        #mage = factory.make(Entity.ENTITY_KOBOLDMAGE,450,800,130,130)
        #self.addenemy(mage)
        #mage.readkoboldmage(self.entities)
            
        #self.addentity(factory.make(Entity.ENTITY_TREE4, 10,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,500,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,200,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,100,50,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,10,100,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,10,200,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,100,250,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,0,300,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,500,50,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,450,100,130,130))


        # NORTH EXIT
        self.addexit(1210,0,190,150,3008,100,300,Dungeonwatermountainscave1(self.roomman))
        # SOUTH EXIT
        self.addexit(150,890,100,110,3008,150,100,Dungeonwatermountainscave3(0,0,self.roomman))

        self.background = pygame.image.load('bg_dungeonwatermountainscave2.bmp').convert()



class Dungeonwatermountainscave3(Maproomupdown):
    ""

    def __init__(self,x,y, roomman):
        Maproomupdown.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# WALLS
	self.addbox(0,0,640,50)
	self.addbox(0,0,50,900)
	self.addbox(0,850,640,50)
	self.addbox(590,0,50,900)
	# ENEMIES
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,450,470,80,80, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,350,270,80,80, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,550,770,80,80, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,550,170,80,80, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,450,710,80,80, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_CHAOSKNIGHT2,150,570,80,80, self.boxes))
        #mage = factory.make(Entity.ENTITY_KOBOLDMAGE,450,800,130,130)
        #self.addenemy(mage)
        #mage.readkoboldmage(self.entities)
            
        # NORTH EXIT
        self.addexit(200,0,50,60,3008,200,300,Dungeonwatermountainscave2(0,-550,self.roomman))
        # SOUTH EXIT
        self.addexit(200,840,50,60,3008,250,250,Dungeonwaterlowermountains2(0,0,self.roomman))

        self.background = pygame.image.load('bg_dungeonwatermountainscave3.bmp').convert()




class Dungeonwaterhermit8(Roomroomman):
    ""

    def __init__(self,roomman):
        Roomroomman.__init__(self,roomman)

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,0,640,100)
	self.addbox(0,0,140,480)
	self.addbox(0,360,640,120)
	self.addbox(480,0,140,480)
	# PITS
	#self.addbox(500,370,140,20)

	# ENEMIES
        #self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,750,700,70,70, self.boxes))
        self.addenemy(factory.make(Entity.ENTITY_CANDLEFLAME1,195,135,60,60))
        self.addenemy(factory.make(Entity.ENTITY_CANDLEFLAME2,390,135,60,60))
        #self.addenemy(factory.make(Entity.ENTITY_HERMIT,300,150,40,60))

	# STATUES
	
        # SOUTH EXIT
	self.addexit(290,360,55,55,3044,250,60,Dungeonwater7(self.roomman))
        bg = pygame.image.load('bg_dungeonwaterhermit8.bmp').convert()
	shadow = pygame.image.load('bg_dungeonwaterhermit81.bmp').convert()
	shadow2 = pygame.image.load('bg_dungeonwaterhermit8.bmp').convert()
	shadow3 = pygame.image.load('bg_dungeonwaterhermit81.bmp').convert()
        bg.set_alpha(200)
        image = bg
	#buf = bg.get_buffer()#pygame.surfarray.array2d(bg)
	shadow_offset = (1400,1000)
    	image_rect = image.get_rect()
    	shadow_rect2 = shadow2.get_rect()
    	shadow_rect3 = shadow3.get_rect()
    	shadow_rect = shadow.get_rect()
    	shadow_rect.center = image_rect.center
    	shadow_rect.move_ip(shadow_offset)
    	rect = image_rect.union(shadow_rect)
    	result = pygame.Surface(rect.size, pygame.SRCALPHA, 32)
    	result2 = pygame.Surface(rect.size, pygame.SRCALPHA, 32)
    	result3 = pygame.Surface(rect.size, pygame.SRCALPHA, 32)
    	result3.blit(shadow3, (0,0))#(shadow_rect.left - rect.left,shadow_rect.top - rect.top))
    	result3.blit(image, (0,0))#(image_rect.left - rect.left,image_rect.top - rect.top))
    	result2.blit(shadow2, (0,0))#(shadow_rect.left - rect.left,shadow_rect.top - rect.top))
    	result2.blit(image, (0,0))#(image_rect.left - rect.left,image_rect.top - rect.top))
    	result.blit(shadow, (0,0))#(shadow_rect.left - rect.left,shadow_rect.top - rect.top))
    	result.blit(image, (0,0))#(image_rect.left - rect.left,image_rect.top - rect.top))
	#self.background = List()
    	#self.background.addobject(bg)	
    	#self.background.addobject(result)	
    	#self.background.addobject(result2)	
    	#self.background.addobject(result3)	

        self.background = pygame.image.load('bg_dungeonwaterhermit82.bmp').convert()

class Roomdungeonwatercherubs(Roomroomman):#FIXME Room
    ""

    def __init__(self, roomman):#,x,y):#, roomman):
        #Map
	Roomroomman.__init__(self, roomman)#,x,y)
#	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS
	self.addbox(0,0,640,15)
	self.addbox(0,465,640,15)
	self.addbox(0,0,15,480)
	self.addbox(625,0,15,480)
	# ENEMIES
	#self.addentity(factory.make(Entity.ENTITY_TREE4, 10,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,500,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,200,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,100,50,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,10,100,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,10,200,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,100,250,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,0,300,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,500,50,130,130))
        self.addentity(factory.make(Entity.ENTITY_CHERUBSTATUE1,100,100,130,130))

        key = Ringyellow(280,220,30,30,"3","1")
        self.addentity(key)
        key.readkeys(self.entities)

         # NORTH EXIT
	#self.addexit(100,110,50,100,3008,300,90,Worldmaproom3(-850,-50, self.roomman))
         # SOUTH EXIT
        self.addexit(0,460,640,20,3014,300,90,Dungeonwater4(200,-50, self.roomman))

        self.background = pygame.image.load('bg_dungeonwatercherubroom.bmp').convert()


class Worldmapinsidetemple1(Maproom):
    ""

    def __init__(self,x,y, roomman):
        Maproom.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS with exit
	self.addbox(0,0,1400,100)
	self.addbox(1150,0,350,1000)
	self.addbox(0,0,100,1000)
	self.addbox(0,900,300,100)
	self.addbox(400,900,0,100)
	# PITS
	self.addbox(0,680,180,120)
	self.addbox(230,680,120,170)
	self.addbox(200,510,160,120)
	self.addbox(400,510,130,490)
	
	# PIT with stairs
	self.addbox(160,310,390,140)
	# PITS
	self.addbox(250,0,300,250)
	self.addbox(650,200,130,410)
	self.addbox(650,490,360,130)
	self.addbox(740,690,270,130)
	# MINI WALL
	self.addbox(1000,600,12,100)
	# ENEMIES
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUE,190,800,100,100))
        self.addentity(factory.make(Entity.ENTITY_UNICORNSTATUE,420,800,100,100))
	# FIXME
        #mage = factory.make(Entity.ENTITY_KOBOLDMAGE,450,800,130,130)
        #self.addenemy(mage)
        #mage.readkoboldmage(self.entities)
#        hobgoblinchief1 = factory.make(Entity.ENTITY_HOBGOBLINSWORDSMANCHIEF1,1000,350,30,30)
#        self.addenemy(hobgoblinchief1)
        
	#self.addentity(factory.make(Entity.ENTITY_TREE4, 10,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,500,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,200,0,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,100,50,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,10,100,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,10,200,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,100,250,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,0,300,130,130))
        #self.addentity(factory.make(Entity.ENTITY_TREE4,500,50,130,130))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,550,300,70,50))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,450,100,70,50))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,700,800,70,50))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,400,350,70,50))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,1000,400,70,50))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,900,900,70,50))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,800,500,70,50))

        #self.addentity(factory.make(Entity.ENTITY_KNIGHTDARK1,1000,700,70,50))
        self.addentity(factory.makewithboxes(Entity.ENTITY_BOUNCER1,1000,700,70,50, self.boxes))

        key = Key3(120,120,40,40,"3","1")
        self.addentity(key)
        key.readkeys(self.entities)

         # EAST EXIT RIGHT
        self.addexit(1150,100,400,120,3008,300,90,Dungeonwater4(110,-300, self.roomman))
	# WATERFORTRESS EXIT
        self.addexit(300,950,110,100,3011,300,90, Worldmaproomwaterfortress1(-1800,-1700, self.roomman))
	# STAIRS EXIT RIGHT
	self.addexit(810,390,80,80,3012,200,300, Worldmapinsidetemple4(0,0, self.roomman))

        self.background = pygame.image.load('bg_insidetemple11.bmp').convert()



class Worldmapinsidetemple2(Maproomchbg):
    ""

    def __init__(self,x,y, roomman):
        Maproomchbg.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS with exit
	self.addbox(0,0,1400,100)
	self.addbox(0,200,100,1000)
	self.addbox(0,890,500,100)
	self.addbox(750,890,650,100)
	self.addbox(1300,0,100,1000)
	# PIT
	self.addbox(500, 150, 650, 350)
	self.addbox(500, 500, 650, 240)
	#self.addbox(750, 740, 350, 240)
	self.addbox(700, 740, 300, 240)
	# LEFT PIT
	self.addbox(100, 160, 300, 340)

	# ITEMS 
        key = Key2(250,750,50,50,"3","2")
        self.addentity(key)
        key.readkeys(self.entities)

	# ENEMIES
        self.addentity(factory.makewithboxes(Entity.ENTITY_BOUNCER1,250,750,70,50, self.boxes))
        self.addentity(factory.makewithboxes(Entity.ENTITY_BOUNCER1,250,750,70,50, self.boxes))
        self.addentity(factory.makewithboxes(Entity.ENTITY_BOUNCER1,250,750,70,50, self.boxes))
        # BOSS ENEMY GUARDING BLUE KEY (KEY2)
	self.addentity(factory.makewithboxes(Entity.ENTITY_OOZEBIG1,250,700,100,100, self.boxes))
	# FIXME
        #mage = factory.make(Entity.ENTITY_KOBOLDMAGE,450,800,130,130)
        #self.addenemy(mage)
        #mage.readkoboldmage(self.entities)
        
        #self.addentity(factory.make(Entity.ENTITY_TREE4,450,100,130,130))


         # SOUTH EXIT TO WATERFALL
        self.addexit(600,900,100,100,3014,250,110,Worldmapinsidetemple5(0,0, self.roomman))
	# BIG STAIRS EXIT
        self.addexit(200,880,200,100,3012,550,200, Worldmapinsidetemple6(self.roomman))
	# UPPER LEFT EXIT
        self.addexit(0,100,100,100,3023,300,100, Dungeonwaterlowermountains1(-2600,0, self.roomman))
        # PLATFORMS
	self.addentity(factory.make(Entity.ENTITY_PLATFORMMAPROOM1,550,760,80,130))

        bg = pygame.image.load('bg_insidetemple21.bmp').convert()
	shadow = pygame.image.load('bg_candle1.bmp').convert()
	shadow2 = pygame.image.load('bg_candle2.bmp').convert()
	shadow3 = pygame.image.load('bg_candle3.bmp').convert()
        bg.set_alpha(200)
        image = bg
	#buf = bg.get_buffer()#pygame.surfarray.array2d(bg)
	shadow_offset = (1400,1000)
    	image_rect = image.get_rect()
    	shadow_rect2 = shadow2.get_rect()
    	shadow_rect3 = shadow3.get_rect()
    	shadow_rect = shadow.get_rect()
    	shadow_rect.center = image_rect.center
    	shadow_rect.move_ip(shadow_offset)
    	rect = image_rect.union(shadow_rect)
    	result = pygame.Surface(rect.size, pygame.SRCALPHA, 32)
    	result2 = pygame.Surface(rect.size, pygame.SRCALPHA, 32)
    	result3 = pygame.Surface(rect.size, pygame.SRCALPHA, 32)
    	result3.blit(shadow3, (0,0))#(shadow_rect.left - rect.left,shadow_rect.top - rect.top))
    	result3.blit(image, (0,0))#(image_rect.left - rect.left,image_rect.top - rect.top))
    	result2.blit(shadow2, (0,0))#(shadow_rect.left - rect.left,shadow_rect.top - rect.top))
    	result2.blit(image, (0,0))#(image_rect.left - rect.left,image_rect.top - rect.top))
    	result.blit(shadow, (0,0))#(shadow_rect.left - rect.left,shadow_rect.top - rect.top))
    	result.blit(image, (0,0))#(image_rect.left - rect.left,image_rect.top - rect.top))
	self.background = List()
    	#self.background.addobject(bg)	
    	self.background.addobject(result)	
    	self.background.addobject(result2)	
    	self.background.addobject(result3)	


# RATS
class Worldmapinsidetemple4(Maproomleftright):
    ""

    def __init__(self,x,y, roomman):
        Maproomleftright.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS with exit
	self.addbox(0, 0, 1000, 50)
	self.addbox(0, 0, 50, 480)
	self.addbox(0, 430, 1000, 50)
	self.addbox(950, 0, 50, 480)

	# WATER PITS
	self.addbox(360, 170, 80, 150)
	self.addbox(560, 170, 80, 150)
	
	# ENEMIES
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,550,300,70,50))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,450,100,70,50))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,700,200,70,50))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,400,350,70,50))
        self.addentity(factory.make(Entity.ENTITY_BATCRAZY,1000,400,70,50))
         # SOUTH STAIRS EXIT
        self.addexit(100,350,100,100,3008,300,90,Worldmapinsidetemple1(-730,-400, self.roomman))
        # DOOR RIGHT 
	self.addexit(800,0,100,100,3008,220,300,Worldmapinsidetemple5(0,-600, self.roomman))
	# NOTE bg 4 is bg 3 here !
        self.background = pygame.image.load('bg_insidetemple3.bmp').convert()

class Worldmapinsidetemple5(Maproomupdown):
    "Waterfall/source room"

    def __init__(self,x,y, roomman):
        Maproomupdown.__init__(self,x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS 
	self.addbox(0, 0, 50, 1000)
	self.addbox(0, 0, 480, 30)
	self.addbox(380, 0, 50, 1000)
	self.addbox(0, 920, 480, 50)

	# ENEMIES
        self.addentity(factory.makewithboxes(Entity.ENTITY_BOUNCER1,100,600,70,50, self.boxes))
        self.addentity(factory.makewithboxes(Entity.ENTITY_BOUNCER1,100,500,70,50, self.boxes))
        self.addentity(factory.makewithboxes(Entity.ENTITY_BOUNCER1,100,400,70,50, self.boxes))

        # SOUTH EXIT
	# TO DUNGEON DOOR ROOM 
        self.addexit(200,950,100,100,3018,220,300,Worldmapinsidetemple4(-630,0, self.roomman))
	# NORTH EXIT WATERFALL
        self.addexit(150,0,100,100,301,220,300,Worldmapinsidetemple2(-425,-500, self.roomman))
	# NOTE : bg 5 is bg 4
        self.background = pygame.image.load('bg_insidetemple4.bmp').convert()

	
class Worldmapinsidetemple6(Roomroomman):
    "Left big stairs lead to this room. from the magical candle chamber with the big blue ooze. This room also has a waterfall"

    def __init__(self,roomman):
        Roomroomman.__init__(self, roomman)
	#self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS 
	self.addbox(0, 0, 50, 480)
	self.addbox(0, 0, 640, 50)
	self.addbox(0, 430, 640, 50)
	self.addbox(590, 0, 50, 480)

	# ENEMIES
        #self.addenemycig 100(factory.makewithboxes(Entity.ENTITY_BOUNCER1,100,400,70,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,250,100,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,450,350,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,150,250,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,250,110,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,450,90,70,70, self.boxes))

        # EAST EXIT
	# TO DUNGEON DOOR ROOM 
        self.addexit(585,180,50,140,3019,220,300,Worldmapinsidetemple2(0,-550, self.roomman))
	# SOUTH EXIT OF UPPER  WATERFALL
        self.addexit(190,420,110,60,301,220,100,Worldmapinsidetemple7(self.roomman))
	# NOTE : bg 5 is bg 4
        self.background = pygame.image.load('bg_insidetemple61.bmp').convert()

	
	
class Worldmapinsidetemple7(Roomroomman):
    "This room is down of the upper source waterfall"

    def __init__(self,roomman):
        Roomroomman.__init__(self, roomman)
	#self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS 
	self.addbox(0, 0, 50, 480)
	#self.addbox(0, 0, 640, 50)
	self.addbox(0, 430, 190, 50)
	self.addbox(300, 430, 340, 50)
	self.addbox(590, 0, 50, 480)

	# ENEMIES
        #self.addenemy(factory.makewithboxes(Entity.ENTITY_BOUNCER1,100,400,70,50, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,250,100,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,450,350,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,150,250,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,250,110,70,70, self.boxes))
        self.addenemy(factory.makewithboxes(Entity.ENTITY_WATERDEVIL,450,90,70,70, self.boxes))

	# NORTH EXIT WATERFALL
        self.addexit(100,0,440,60,301,220,410,Worldmapinsidetemple6(self.roomman))
	# SOUTH EXIT 
        self.addexit(190,450,110,50,301,220,100,Worldmapinsidetemple8(self.roomman))
	# NOTE : bg 5 is bg 4
        self.background = pygame.image.load('bg_insidetemple7.bmp').convert()

	
	
	
class Worldmapinsidetemple8(Roomroomman):
    "This room is down twice of the upper source waterfall"

    def __init__(self,roomman):
        Roomroomman.__init__(self, roomman)
	#self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS 
	self.addbox(0, 0, 50, 480)
	self.addbox(0, 430, 640, 50)
	self.addbox(0, 430, 640, 50)
	self.addbox(590, 0, 50, 480)

	# ITEMS 
        key = Sword1blue(280,220,60,60,"3","1")
        self.addentity(key)
        key.readkeys(self.entities)
	# ENEMIES
        self.addenemy(factory.make(Entity.ENTITY_WATERDEVILFEMALE,450,150,70,120))
        #self.addenemy(factory.makewithboxes(Entity.ENTITY_BOUNCER1,100,400,70,50, self.boxes))

	# NORTH EXIT TO WATERFALL
        self.addexit(100,0,440,60,301,220,410,Worldmapinsidetemple7(self.roomman))
	# NOTE : bg 5 is bg 4
        self.background = pygame.image.load('bg_insidetemple8.bmp').convert()

	
	
	
	
class Roombirdforest(Maproom):
    "This room has a forest in it with a sparrow"

    def __init__(self,x,y, roomman):
        Maproom.__init__(self, x,y)
	self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS 
	self.addbox(0, 0, 50, 1300)
	self.addbox(0, 1250, 1300, 50)
	self.addbox(0, 0, 1300, 50)
	self.addbox(1250, 0, 50, 1300)

	# ITEMS 
        # ENTITIES
        self.addentity(factory.make(Entity.ENTITY_SPARROW,800,700,80,80))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 100,0,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 300,100,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 500,300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 700,450,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 120,760,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 440,40,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 560,750,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 780,780,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 890,600,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 900,300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 400,300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 400,300,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 800,1000,130,130))
	self.addentity(factory.make(Entity.ENTITY_TREE3, 500,1100,130,130))
	
	self.addentity(factory.make(Entity.ENTITY_ENSORCELLEDTREE, 180,220,150,150))
	# ENEMIES
        self.addentity(factory.makewithboxes(Entity.ENTITY_TROLLBLACK,400,800,50,50,self.boxes))
        self.addentity(factory.makewithboxes(Entity.ENTITY_TROLLBLACK,100,600,50,50,self.boxes))
        self.addentity(factory.makewithboxes(Entity.ENTITY_TROLLBLACK,800,300,50,50,self.boxes))
        self.addentity(factory.makewithboxes(Entity.ENTITY_TROLLBLACK,900,400,50,50,self.boxes))
        self.addentity(factory.makewithboxes(Entity.ENTITY_TROLLBLACK,800,200,50,50,self.boxes))
        #self.addenemy(factory.makewithboxes(Entity.ENTITY_BOUNCER1,100,400,70,50, self.boxes))
        #self.addentity(factory.make(Entity.ENTITY_NUTTER1,300,220,80,80))

	# EXITS  FOO
        self.addexit(1250,0,50,100,3011,120,200,Roomforest1(0,-200, self.roomman))
	# EXIT UNDER ENSORCELLED TREE
        self.addexit(220,280,70,70,3030,280,400,Dungeonundertree1(self.roomman))
        self.background = pygame.image.load('bg_insidetemple9.bmp').convert()

	
	
class Dungeonundertree1(Roomroomman):
    "This room is under the tree"

    def __init__(self,roomman):
        Roomroomman.__init__(self, roomman)
	#self.roomman = roomman

    def loadroom(self):
        self.initroom()
        self.loadroom1()
        return self

    def loadroom1(self):

	factory = Entityfactory()

	# OUTER WALLS 
	self.addbox(0, 0, 50, 6400)
	self.addbox(0, 430, 640, 50)
	self.addbox(0, 0, 640, 50)
	self.addbox(430, 0, 50, 640)

	# ITEMS 
        # ENTITIES
	# ENEMIES
        self.addentity(factory.make(Entity.ENTITY_NUTTER1,400,220,80,80))
        self.addentity(factory.make(Entity.ENTITY_NUTTER2,500,220,80,80))
        #self.addenemy(factory.makewithboxes(Entity.ENTITY_BOUNCER1,100,400,70,50, self.boxes))

	# EXITS 
        self.addexit(260,420,80,80,3011,100,300,Roombirdforest(0,0, self.roomman))
        #self.addexit(240,300,50,50,3030,100,50,Dungeonundertree1(-60,-60, self.roomman))
        self.background = pygame.image.load('bg_dungeonundertree1.bmp').convert()

	
	
	
	
	
	
	
